﻿@model TSPS_WebApp.Models.GrievanceViewModel

@{
    ViewData["Title"] = "File Complaint";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>File Complaint</h1>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create" asp-controller="FileGrievance">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Name" class="control-label">Name<span style="color:red"> *</label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Dept" class="control-label">Dept<span style="color:red"> *</span></label>
                <div class="form-group">
                    <select asp-for="Dept" asp-items=@(new SelectList(Model.Depts,"Id","Name")) class="form-control">
                        <option id="0" value="-Select-"></option>
                    </select>
                    <span asp-validation-for="Dept" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group">
                <label asp-for="Taluka" class="control-label">Taluka<span style="color:red"> *</span></label>
                <div class="form-group">
                    <select asp-for="Taluka" asp-items=@(new SelectList(Model.Talukas,"Id","Name")) class="form-control">
                        <option id="0" value="-Select-"></option>
                    </select>
                    <span asp-validation-for="Taluka" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group">
                <label asp-for="Village" class="control-label">Village<span style="color:red"> *</span></label>
                <div class="form-group">
                    <select asp-for="Village" asp-items=@(new SelectList(Model.Villages,"Id","Name")) class="form-control">
                        <option id="0" value="-Select-"></option>
                    </select>
                    <span asp-validation-for="Village" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <label asp-for="Village" class="control-label">Village<span style="color:red"> *</span></label>
                <textarea id="txtDescription" asp-for="Description" rows="3" cols="20" class="form-control"></textarea>
                @*<span asp-validation-for="Description" class="text-danger"></span>*@
            </div>
            <div class="form-group">
                <label asp-for="FileRelativeUrl" class="control-label">Upload File</label>
                <input id="File1" type="file" asp-for="FileRelativeUrl" class="form-control-file" />
                <span asp-validation-for="FileRelativeUrl" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Submit" class="btn btn-primary" />
                <input type="button" value="Clear" class="btn btn-secondary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
